Page MenuHomePhabricator

The <meta> tag is invalid inside the body of the document
Closed, ResolvedPublic

Description

In order to draw SVG image of formulas, the <meta> tag is used. This is however invalid markup. (using an <img> was problematic because it downloads the image even when native MathML is used ; the use of a <span> caused problems on Chrome, IIRC)

Event Timeline

fredw created this task.Mar 16 2015, 9:25 AM
fredw raised the priority of this task from to Needs Triage.
fredw updated the task description. (Show Details)
fredw added projects: Math, Mathoid.
fredw added a subscriber: fredw.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2015, 9:25 AM

@fredw: Do you a way to change that? How will this affect people? Is https://gerrit.wikimedia.org/r/#/c/167019/ related to this issue?

Physikerwelt set Security to None.Mar 18 2015, 8:49 PM
Physikerwelt added subscribers: GWicke, Pkra.

@fredw any updates? What do you think about replacing mathml with svg via java script?

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 23 2016, 10:58 AM
Physikerwelt closed this task as Resolved.Aug 9 2016, 12:44 PM
Physikerwelt claimed this task.

we use the img tag now